### Method

# Tsparql Resource get_first_string

#### Declaration [src]

    const char*
    tracker_resource_get_first_string (
      TrackerResource* self,
      const char* property_uri
    )

#### Description [src]

Returns the first string object previously assigned to a property.

#### Parameters

`property_uri`

  Type: `const char*`

  A string identifying the property to look up.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `const char*`

The first string object.

The returned data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.